- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# QSpacerItem Class Reference

Search for all occurrences

## Detailed Description

Definition at line 96 of file qlayoutitem.h.

`#include <qlayoutitem.h>`

Inheritance diagram for QSpacerItem:
[legend]

List of all members.

## Public Member Functions
| QSpacerItem (int w, int h, QSizePolicy::Policy hData=QSizePolicy::Minimum, QSizePolicy::Policy vData=QSizePolicy::Minimum)
void | changeSize (int w, int h, QSizePolicy::Policy hData=QSizePolicy::Minimum, QSizePolicy::Policy vData=QSizePolicy::Minimum)
QSize | sizeHint () const
QSize | minimumSize () const
QSize | maximumSize () const
Qt::Orientations | expandingDirections () const
bool | isEmpty () const
void | setGeometry (const QRect &)
QRect | geometry () const
QSpacerItem * | spacerItem ()

## Constructor & Destructor Documentation

QSpacerItem | ( | int | w,
|  | int | h,
|  | QSizePolicy::Policy | hData = `QSizePolicy::Minimum`,
|  | QSizePolicy::Policy | vData = `QSizePolicy::Minimum`
| ) |  | `[inline]`

Definition at line 99 of file qlayoutitem.h.

            : width(w), height(h), sizeP(hData, vData) { }

## Member Function Documentation

void changeSize | ( | int | w,
|  | int | h,
|  | QSizePolicy::Policy | hData = `QSizePolicy::Minimum`,
|  | QSizePolicy::Policy | vData = `QSizePolicy::Minimum`
| ) |  |

Search for all occurrences

QSize sizeHint | ( |  | ) | const `[virtual]`

Search for all occurrences

Implements QLayoutItem.

QSize minimumSize | ( |  | ) | const `[virtual]`

Search for all occurrences

Implements QLayoutItem.

QSize maximumSize | ( |  | ) | const `[virtual]`

Search for all occurrences

Implements QLayoutItem.

Qt::Orientations expandingDirections | ( |  | ) | const `[virtual]`

Search for all occurrences

Implements QLayoutItem.

bool isEmpty | ( |  | ) | const `[virtual]`

Search for all occurrences

Implements QLayoutItem.

void setGeometry | ( | const QRect & |  | ) | `[virtual]`

Search for all occurrences

Implements QLayoutItem.

QRect geometry | ( |  | ) | const `[virtual]`

Search for all occurrences

Implements QLayoutItem.

QSpacerItem* spacerItem | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QLayoutItem.

The documentation for this class was generated from the following file:

- QtGui/qlayoutitem.h

QSpacerItem QSpacerItem QSpacerItem QSpacerItem QSpacerItem QSpacerItem QSpacerItem QSpacerItem QSpacerItem QSpacerItem
QSpacerItem QSpacerItem QSpacerItem QSpacerItem QSpacerItem QSpacerItem QSpacerItem QSpacerItem QSpacerItem QSpacerItem